Loading...
Searching...
No Matches
FuseGPUThreadLoops.h File Reference

Defines the lowering pass that fuses and normalizes loops over gpu threads to target CUDA, OpenCL, and Metal. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::zero_gpu_loop_mins (const Stmt &s)
| Rewrite all GPU loops to have a min of zero.
Stmt | Halide::Internal::fuse_gpu_thread_loops (Stmt s)
| Converts Halide's GPGPU IR to the OpenCL/CUDA/Metal model.

## Detailed Description

Defines the lowering pass that fuses and normalizes loops over gpu threads to target CUDA, OpenCL, and Metal.

Definition in file FuseGPUThreadLoops.h.